.title-normal {
  font-weight: 700;
  font-size: 24px;
  padding: 0 12px;
  width: 75%;
  background-color: #fff;
  z-index: 10;
  position: relative;
}
.title-normal::before,
.title-normal::after {
  content: "";
  position: absolute;
  height: 16px;
  width: 3px;
  background-color: #bcd7f7;
  border-radius: 3px;
  top: 50%;
  transform: translateY(-50%);
}
.title-normal::before {
  left: 0;
}
.title-normal::after {
  right: 0;
}
/* .text-shadow-cover {
  text-shadow: -1.1px 0.4px 1.5px #00000040;
} */
.button-normal {
  font-size: 20px;
  font-weight: 900;
  line-height: 1.2;
  letter-spacing: 0.1em;
  color: #fff;
  text-align: center;
  background: url("https://statichk.cmermedical.com/newopd/services/lens/multifocal-bg-button.svg") no-repeat center /
    contain;
  width: 100%;
  max-width: 820px;
  display: flex;
  justify-content: center;
  padding-top: 20px;
  padding-bottom: 20px;
  margin-left: auto;
  margin-right: auto;
}
#banner {
  background: url("https://statichk.cmermedical.com/newopd/services/lens/banner-multifocal-mb-v1.webp") no-repeat
    center / cover;
}
#intro {
  background: url("https://statichk.cmermedical.com/newopd/services/lens/multifocal-intro-mb-v1.webp") no-repeat
    bottom / contain;
}
#benefits .benefits-chapter::before,
#benefits .benefits-chapter::after {
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  height: 4px;
  width: 128px;
  background-repeat: no-repeat;
  background-size: contain;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSI5NyIgaGVpZ2h0PSI0IiB2aWV3Qm94PSIwIDAgOTcgNCIgZmlsbD0ibm9uZSI+CiAgPHBhdGggZD0iTTk2Ljc1IDEuNzMxOTNMNC40NTA0MmUtMDggMy40NjM5OEwzLjE5NTI3ZS0wOSAtMC4wMDAxMTYxNDhMOTYuNzUgMS43MzE5M1oiIGZpbGw9IiNCQ0Q3RjciLz4KPC9zdmc+");
}
#benefits .benefits-chapter::before {
  left: -136px;
  transform: translateY(-50%) scaleX(-1);
}
#benefits .benefits-chapter::after {
  right: -136px;
}
#benefits .benefits-item {
  display: flex;
  flex-direction: column;
  gap: 20px;
  text-align: justify;
  border: 1px solid #d1dcde;
  box-shadow: 0 4px 16px 0 #56c6eb40;
  border-radius: 16px;
  background: linear-gradient(90deg, #fefafa 0%, #e9faff 65.38%);
}
#benefits .benefits-item img {
  border-radius: 16px;
}
#benefits .benefits-title {
  color: var(--color-lens);
  font-size: 18px;
  font-weight: 300;
  letter-spacing: 0.1em;
  margin-bottom: 12px;
  position: relative;
}
#benefits .benefits-intro {
  color: #66696f;
  font-size: 14px;
  font-weight: 500;
  line-height: 1.6;
}
.table-container {
  width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  position: relative;
}
.responsive-table thead,
.responsive-table tbody,
.responsive-table tr {
  display: contents;
}
.responsive-table th,
.responsive-table td {
  padding: 4px 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}
.responsive-table thead th,
.responsive-table tbody td:nth-child(1) {
  color: var(--color-lens);
  font-weight: 400;
}
.responsive-table thead th {
  background-color: #f8fcff;
}
.responsive-table tbody tr:nth-child(1) td {
  background-color: #eefbff;
}
.responsive-table tbody tr:nth-child(2) td {
  background-color: #fffcfa;
}
.responsive-table tbody tr:nth-child(3) td {
  background-color: #fbfaef;
}
.responsive-table tbody tr:nth-child(4) td {
  background-color: #fdfdfd;
}
.responsive-table .new {
  position: relative;
}
.responsive-table .new::before {
  content: "";
  position: absolute;
  right: -6px;
  bottom: -6px;
  width: 48px;
  height: 24px;
  background: url("https://statichk.cmermedical.com/newopd/services/lens/icon-lens-new.svg") no-repeat center / contain;
}
@media screen and (max-width: 1023px) {
  .button-normal.line-1 {
    padding-top: 32px;
    padding-bottom: 32px;
  }
  #benefits .benefits-title {
    padding-bottom: 12px;
  }
  #benefits .benefits-title::before {
    content: "";
    position: absolute;
    height: 0.5px;
    width: 120px;
    background-color: var(color-lens);
    left: 0;
    bottom: 0;
  }
  .table-container {
    width: calc(100% - 24px);
    margin-left: 10px;
    margin-right: 10px;
  }
  .responsive-table {
    display: grid;
    /* 5列：第一列为特点名称，后4列为晶体种类 */
    grid-template-columns: 140px repeat(4, 1fr);
    grid-auto-flow: row;
    gap: 8px 0;
    width: 100%;
    min-width: 700px;
  }
  .responsive-table th {
    margin-bottom: 4px;
  }
  .responsive-table thead th:nth-child(1),
  .responsive-table tbody td:nth-child(1) {
    position: sticky;
    left: 0;
    z-index: 1;
  }
  .responsive-table thead th,
  .responsive-table tbody td {
    box-shadow: 0 1.926px 1.926px 0 rgba(39, 147, 240, 0.39);
  }
  .responsive-table thead th:first-child,
  .responsive-table tbody td:nth-child(2) {
    border-top-left-radius: 16px;
    border-bottom-left-radius: 16px;
  }
  .responsive-table thead th:last-child,
  .responsive-table tbody td:last-child {
    border-top-right-radius: 16px;
    border-bottom-right-radius: 16px;
  }
  .responsive-table tbody td:nth-child(1) {
    margin-right: 6px;
    border-radius: 16px;
  }
}
@media screen and (min-width: 768px) {
  #intro {
    background-size: cover;
  }
}
@media screen and (min-width: 1024px) {
  .title-normal {
    font-size: 52px;
    padding: 0 52px;
    width: fit-content;
  }
  .title-normal::before,
  .title-normal::after {
    width: 6px;
    height: 30px;
  }
  .text-shadow-cover {
    text-shadow: -1.4px 0.5px 1.8px #00000040;
  }
  .button-normal {
    font-size: 40px;
    line-height: 1.4;
    padding-top: 48px;
    padding-bottom: 48px;
  }
  #banner {
    background-image: url("https://statichk.cmermedical.com/newopd/services/lens/banner-multifocal-pc-v1.webp");
  }
  #intro {
    background-image: url("https://statichk.cmermedical.com/newopd/services/lens/multifocal-intro-pc-v1.webp");
  }
  .responsive-table {
    display: grid;
    /* 关键点：固定 5 行（1个表头 + 4个特性） */
    grid-template-rows: repeat(5, auto);
    grid-template-columns: minmax(auto, 212px);
    /* 关键点：将原本按行排列的数据转为按列排列，实现横纵轴对调 */
    grid-auto-flow: column;
    grid-auto-columns: minmax(140px, 1fr);
    gap: 0 8px;
  }
  .responsive-table th,
  .responsive-table td {
    padding: 24px 8px;
  }
  .responsive-table thead th:not(:last-child),
  .responsive-table tbody td:not(:last-child) {
    border-bottom: 2px solid #e2e2e2;
    box-shadow: 0 3.462px 3.462px rgba(212, 201, 201, 0.25);
  }
  .responsive-table thead th:first-child,
  .responsive-table tbody td:first-child {
    border-radius: 32px 32px 0 0;
  }
  .responsive-table thead th:not(:last-child),
  .responsive-table tbody td:not(:last-child) {
    border-left: 1px solid #2793f063;
    border-right: 1px solid #2793f063;
  }
  .responsive-table thead th:last-child,
  .responsive-table tbody td:last-child {
    border-radius: 0 0 32px 32px;
    box-shadow: 0 3.462px 3.462px 0 #2793f063;
  }
  .responsive-table .new::before {
    top: 0;
    bottom: unset;
    right: 0;
    width: 108px;
    height: 52px;
  }
  #benefits .benefits-chapter::before,
  #benefits .benefits-chapter::after {
    height: 7px;
    width: 248px;
  }
  #benefits .benefits-chapter::before {
    left: -272px;
  }
  #benefits .benefits-chapter::after {
    right: -272px;
  }
  #benefits .benefits-item {
    flex-direction: row;
    align-items: center;
    gap: 80px;
    border-radius: 32px;
    background: linear-gradient(90deg, #e9faff 37.5%, #fefafa 100%);
  }
  #benefits .benefits-item img {
    border-radius: 32px;
  }
  #benefits .benefits-title {
    font-size: 36px;
  }
  #benefits .benefits-intro {
    font-size: 24px;
    font-weight: 400;
    line-height: 1.8;
  }
}
